Subject: Re: bug#34850: ghc compiling error

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Wed, 13 Mar 2019 23:48:33 +0100

mikadoZero,

mikadoZero wrote:
> `guix describe`
> guix fd4c7a0
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: fd4c7a098a508c1de7a8513c0f3d88d5a0df12e7
>
> I have ghc in my system configuration file.  I have just done a 
> pull and
> reconfigure.
>
> `which ghc`
> /run/current-system/profile/bin/ghc
>
> I created a one line hello world program:
>
> ```haskell
> main = putStrLn "hello, world"
> ```
>
> Then I tried to compile it with ghc.  I get this error.
>
> `ghc Main`                      
> [1 of 1] Compiling Main             ( Main.hs, Main.o )
> gcc: error trying to exec 'as': execvp: No such file or 
> directory
> `gcc' failed in phase `Assembler'. (Exit code: 1)
>
> I have tested compiling the same hello world program with the 
> same ghc
> command and it works fine on a none Guix System.

Does the other system have ‘as’ installed?  Install the 
‘gcc-toolchain’ package that provides it and try again.

Usually, this kind of error means that ghc needs to be patched to 
invoke ‘as’ from an absolute file name instead of searching $PATH. 
There may have been good reasons not to do this (such as closure 
size), or it might be an oversight.

Kind regards,

T G-R